petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscClassPerfLogEnsureSize

This ensures that a PetscClassPerfLog is at least of a certain size.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscClassPerfLogEnsureSize(PetscClassPerfLog classLog, int size)

Not collective

### Input Paramters

| classLog | - The PetscClassPerfLog
| size | - The size

### Keywords

log, class, size, ensure

### See Also

PetscClassPerfLogCreate()

### Level

developer

### Location

src/sys/logging/utils/classlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages